Page MenuHomePhabricator

[wmf.22] AfC - Sort option 'Created date(newest)' displayed for default/reload
Closed, ResolvedPublic

Description

Credit to @MMiller_WMF - there are two problems with sort order filter options.

(1) The result set for the default filter selection - 'Awaiting for review' + 'Submitted date (oldest)') is loaded correctly but the sort order filter 'Created date (newest)' option will be displayed instead of 'Submitted date (oldest)'.

(2) Select any combination of filters - reload the page (the browser reload) - the sort order becomes 'Created date (newest)', but the result set is still for the previous sort order selection.

(3) (betalabs specific) Reloading AfC page will load NPP page.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 24 2018, 7:06 PM

Change 463269 had a related patch set uploaded (by Sbisson; owner: Sbisson):
[mediawiki/extensions/PageTriage@master] Ensure a valid afc sort option is selected

https://gerrit.wikimedia.org/r/463269

Change 463269 merged by jenkins-bot:
[mediawiki/extensions/PageTriage@master] Ensure a valid afc sort option is selected

https://gerrit.wikimedia.org/r/463269

Checked the fix in betalabs - all is fine.

The following issue is outside the scope of this task.

(3) (betalabs specific) Reloading AfC page will load NPP page.

Change 463680 had a related patch set uploaded (by Sbisson; owner: Sbisson):
[mediawiki/extensions/PageTriage@wmf/1.32.0-wmf.23] Ensure a valid afc sort option is selected

https://gerrit.wikimedia.org/r/463680

Change 463680 merged by jenkins-bot:
[mediawiki/extensions/PageTriage@wmf/1.32.0-wmf.23] Ensure a valid afc sort option is selected

https://gerrit.wikimedia.org/r/463680

Mentioned in SAL (#wikimedia-operations) [2018-10-01T18:17:48Z] <catrope@deploy1001> Synchronized php-1.32.0-wmf.23/extensions/PageTriage/: Ensure valid AFC option is selected (T205324, T205168); hide copyvio behind a global var and URL param (duration: 00m 57s)

MMiller_WMF closed this task as Resolved.Oct 1 2018, 6:41 PM

This change was SWATed in this morning. I tried it in English Wikipedia and it works correctly. Thanks!